rtp.h File Reference

Generic and audio/video profile specific RTP interface of ccRTP. More...

`#include <ccrtp/cqueue.h>`
`#include <ccrtp/channel.h>`
Include dependency graph for rtp.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | TRTPSessionBase< RTPDataChannel, RTCPChannel, ServiceQueue >
class | SingleThreadRTPSession< RTPDataChannel, RTCPChannel, ServiceQueue >

## Typedefs

typedef SingleThreadRTPSession | RTPSession
| UDP/IPv4 RTP Session scheduled by one thread of execution. More...
typedef RTPSession | RTPSocket
typedef SingleThreadRTPSession< SymmetricRTPChannel, SymmetricRTPChannel > | SymmetricRTPSession
| Symmetric UDP/IPv4 RTP session scheduled by one thread of execution. More...

## Detailed Description

Generic and audio/video profile specific RTP interface of ccRTP.

The classes and types in this header provide general RTP functionality (following RFC 3550) as well as audio/video RTP profile specific functionality (following RFC 3551).